POST Agents/Dash/GetDashCollection
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/Dash/GetDashCollection
Gets a collection of dashboards for the current associate
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Dash/GetDashCollection?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: DashCollection
| Property Name | Type | Description |
|---|---|---|
| Pinned | array | Dashboards pinned to the associate |
| Favourites | array | The assocates favourite dashboards |
| Other | array | Other dashboards |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Dash/GetDashCollection
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Pinned": [
{
"DashboardId": 561,
"UniqueId": "executive-overview",
"Name": "Executive Overview",
"Description": "High-level KPIs and performance metrics for executive decision making",
"AssociateId": 288,
"Columns": 4,
"Theme": null,
"VisibleForAll": 139,
"VisibleForAssociates": [
86,
779
],
"VisibleForGroups": [
267,
752
],
"PinForAll": 954,
"PinForAssociates": [
102,
606
],
"PinForGroups": [
500,
859
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 182
}
}
}
],
"Favourites": [
{
"DashboardId": 173,
"UniqueId": "team-activity",
"Name": "Team Activity Dashboard",
"Description": "Daily activities, tasks completion, and team collaboration metrics",
"AssociateId": 901,
"Columns": 3,
"Theme": null,
"VisibleForAll": 862,
"VisibleForAssociates": [
330,
307
],
"VisibleForGroups": [
158,
586
],
"PinForAll": 880,
"PinForAssociates": [
772,
74
],
"PinForGroups": [
731,
349
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 895
}
}
}
],
"Other": [
{
"DashboardId": 445,
"UniqueId": "project-tracking",
"Name": "Project Tracking",
"Description": "Project milestones, resource allocation, and progress monitoring",
"AssociateId": 706,
"Columns": 3,
"Theme": null,
"VisibleForAll": 186,
"VisibleForAssociates": [
578,
580
],
"VisibleForGroups": [
276,
723
],
"PinForAll": 280,
"PinForAssociates": [
860,
143
],
"PinForGroups": [
786,
279
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 661
}
}
}
],
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.Int32",
"FieldLength": 507
}
}
}